#{extends 'common/frontend.html' /}
#{set 'title'}
<h1>#{if action=="create"}Tambah Role #{/if} #{else } Edit Role#{/else}</h1>
#{/set}
<div class="container">
    <div class="row">
        <div class="col-sm-10">
            #{common.alert /}
            <div class="card">
                <div class="card-header">
                    #{if action=="create"} Form Tambah Role #{/if} #{else } Form Edit Role#{/else}
                </div>
                <div class="card-body">
                    <form action="@{store()}" class="form-horizontal" method="post">
                        #{authenticityToken /}
                        <input type="hidden" required name="model.action" value="${action}" >
                        <input type="hidden" required name="model.id" value="${role?.id}" >
                        <div class="form-group">
                            <label for="model.name" class="col-sm-2 control-label">Name Role</label>
                            <div class="col-sm-12">
                                <input type="text" id="model.name" name="model.name" placeholder="Silahkan masukkan nama" value="${role?.name}" required class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="model.description" class="col-sm-2 control-label">Deskripsi Role</label>
                            <div class="col-sm-12">
                                <input type="text" id="model.description" name="model.description" placeholder="Silahkan masukkan deskripsi role" value="${role?.description}" required class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="role" class="col-sm-2 control-label">Permission</label>
                            <div class="col-sm-12">
                                <ul class="todo-list">
                                    #{list permissions, as: 'action'}
                                    <li>
                                        <input type="checkbox" name="model.actions" value="${action.id}" ${role?.containPermission(action.id) ? "checked" : ""}>
                                        <span class="text">${action.name}</span>
                                    </li>
                                    #{/list}

                                </ul>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <div class="pull-right">
                                    <button type="submit" class="btn btn-danger">Simpan</button>
                                    <a href='@@{index()}' class="btn btn-default">Kembali</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>